#include "mbed.h"
#include "paw.h"

Serial pc( USBTX, USBRX ); 
const unsigned long baudrate = 115200;

// paw( LED1, LED2, PHOTO1, PHOTO2 )
PAW paw( p8, p9, p16, p17 );
paw_value g_value;

Ticker run;


void run_paw_sensor()
{
    if( paw.process_paw() == STATE_1 )
    {
        paw.print( &pc, 0 );   
    }
}

int main() 
{
    // Initializing Serial Communication
    pc.baud( baudrate );
    pc.format( 8, Serial::None, 1 );
    
    run.attach_us(&run_paw_sensor, 500);
    
    while(1);
}